Index: src/arch/i386/Makefile.inc
===================================================================
--- src/arch/i386/Makefile.inc	(revision 5104)
+++ src/arch/i386/Makefile.inc	(working copy)
@@ -83,9 +83,8 @@
 
 else
 $(obj)/mainboard/$(MAINBOARDDIR)/romstage.inc: $(src)/mainboard/$(MAINBOARDDIR)/romstage.c $(OPTION_TABLE_H) $(obj)/build.h
-	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S $< -o $@
-	perl -e 's/\.rodata/.rom.data/g' -pi $@
-	perl -e 's/\.text/.section .rom.text/g' -pi $@
+	$(CC) $(DISTRO_CFLAGS) $(CFLAGS) $(CPPFLAGS) $(DEBUG_CFLAGS) -I$(src) -I. -c -S $< -o - | sed -e 's/\.rodata/.rom.data/g' -e 's/\.text/.section .rom.text/g' > $@.tmp
+	mv $@.tmp $@
 endif
 endif
 
Index: util/abuild/abuild
===================================================================
--- util/abuild/abuild	(revision 5104)
+++ util/abuild/abuild	(working copy)
@@ -217,7 +217,7 @@
 	test 0$cpus -gt 1 && printf "on %d cpus in parallel .. " $cpus
 
 	CURR=$( pwd )
-	stime=`perl -e 'print time();'`
+	stime=`perl -e 'print time();' 2>/dev/null || date +%s`
 	build_dir=$TARGET/${VENDOR}_${MAINBOARD}
 	eval $MAKE $silent -j $cpus obj=${build_dir} \
 		&> ${build_dir}/make.log
@@ -226,7 +226,7 @@
 	mv .xcompile ${build_dir}/xcompile.build
 	mv ..config.tmp ${build_dir}/config.deps
 	cd $TARGET/${VENDOR}_${MAINBOARD}
-	etime=`perl -e 'print time();'`
+	etime=`perl -e 'print time();' 2>/dev/null || date +%s`
 	duration=$(( $etime - $stime ))
 	if [ $ret -eq 0 ]; then
 		xml "  <compile>ok</compile>"
Index: README
===================================================================
--- README	(revision 5104)
+++ README	(working copy)
@@ -35,7 +35,6 @@
  * gcc / g++
  * make
  * python
- * perl
 
 Optional:
 
